DBIx::SearchBuilder::Handle::Sybase(3pm)

NAME
  DBIx::SearchBuilder::Handle::Sybase -- a Sybase specific Handle object

SYNOPSIS

DESCRIPTION
This module provides a subclass of DBIx::SearchBuilder::Handle that compensates for some of the idiosyncrasies of Sybase.

METHODS

  Insert
Takes a table name as the first argument and assumes that the rest of the arguments are an array of key-value pairs to be inserted.

If the insert succeeds, returns the id of the insert, otherwise, returns a Class::ReturnValue object with the error reported.

  DatabaseVersion
return the database version, trimming off any -foo identifier

  CaseSensitive
Returns undef, since Sybase's searches are not case sensitive by default

  DistinctQuery STATEMENTREFtakes an incomplete SQL SELECT statement and massages it to return a DISTINCT result set.

  BinarySafeBLOBs
Return undef, as Oracle doesn't support binary-safe CLOBS